Description

I think a template in needed.

The section using different files for access and accounting must disappears because causes a lower level logging in ghn.log.

Moreover, the possibility to change the log level for a certain package shoul be supported as argument when running the playbook.

Related issues:

Related to D4Science Infrastructure - Task #9576: provision the smartgear log... Closed Sep 02, 2017

History

#1 - Oct 12, 2017 05:15 PM - Andrea Dell'Amico

Luca Frosini wrote:

I think a template in needed.

 It's a template already, you can find it in library/roles/smartgears/smartgears/templates/

The section using different files for access and accounting must disappears because causes a lower level logging in ghn.log.

 I don't understand. Is it a bug on the logback configuration or in how it's used inside one of the libraries?

In the first case, feel free to propose a fix for the template. Otherwise we should better fix smartgears.

Moreover, the possibility to change the log level for a certain package shoul be supported as argument when running the playbook.

 We can do it with variables (and so when running the playbook, too. But I prefer a written variable, so that we can know the log level from inspecting

the playbook.

Right now only a global log level change is supported, but we can have a different variable for each logger, all set by default to the same value.

#2 - Oct 12, 2017 06:05 PM - Luca Frosini

Andrea Dell'Amico wrote:

Luca Frosini wrote:

I think a template in needed.

 It's a template already, you can find it in library/roles/smartgears/smartgears/templates/

 Ok I found it

The section using different files for access and accounting must disappears because causes a lower level logging in ghn.log.

 I don't understand. Is it a bug on the logback configuration or in how it's used inside one of the libraries?

In the first case, feel free to propose a fix for the template. Otherwise we should better fix smartgears.

 I don't think the issue is on smartgears. I think the problem has to be search in the configuration.

Moreover, the possibility to change the log level for a certain package shoul be supported as argument when running the playbook.
 We can do it with variables (and so when running the playbook, too. But I prefer a written variable, so that we can know the log level from

inspecting the playbook.

Right now only a global log level change is supported, but we can have a different variable for each logger, all set by default to the same value.

 Yes we should allow to set different log level(s) for different package(s). The package(s) and the log level can be specified in the playbook as you

suggest. Infact we can also decide to set different level in the different playbook for dev and prod.

#3 - Oct 18, 2017 05:02 PM - Andrea Dell'Amico

@luca.frosini@isti.cnr.it @lucio.lelii@isti.cnr.it can you come up with a refactored logback.xml template, starting from the one in the ansible

repository?

#4 - Oct 25, 2017 11:53 AM - Luca Frosini

@andrea.dellamico@isti.cnr.it I'll check it asap

#5 - Nov 07, 2017 04:26 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Luca Frosini

Any news on this? 

#6 - Nov 17, 2017 06:10 PM - Andrea Dell'Amico

- Related to Task #9576: provision the smartgear logback configuration starting from a template added

#8 - Dec 15, 2017 05:30 PM - Luca Frosini

- Status changed from New to Closed
